I have just installed OES2 Linux on a SLES10SP1 server and connected it successfully to the tree. Previously, the SLES10SP1 server was used for some testing, but had been activated and kept up to date with Novell patches. However, now that it is running OES2, I tried to update it with rug with the following error:

sclnxfs1:/usr/bin #
sclnxfs1:/usr/bin # rug sl

# | Status | Type | Name | URI

--+--------+------+-------------------------------------+-----------------------

1 | Active | ZYPP | SUSE Linux Enterprise Server 10 SP1 | cd:///?devices=/dev...

2 | Active | NU | https://nu.novell.com | https://nu.novell.com

3 | Active | ZYPP | Novell Open Enterprise Server 2 | cd:///?alias=Novell...

4 | Active | ZYPP | Novell Open Enterprise Server 2 | dvd:///?alias=Novel...

5 | Active | ZYPP | SUSE Linux Enterprise Server 10 SP1 | dir:///usr/local/so...

6 | Active | ZYPP | Novell Open Enterprise Server 2 | dir:///usr/local/so...

7 | Active | RCE | Novell_Update_Server | https://update.nove...

sclnxfs1:/usr/bin #

sclnxfs1:/usr/bin # rug act -s 7 1234567890ABCD user@novell.com

ERROR: Argument 'act' is invalid

sclnxfs1:/usr/bin #

sclnxfs1:/usr/bin # rug act 1234567890ABCD user@novell.com

ERROR: Argument 'act' is invalid

sclnxfs1:/usr/bin #

sclnxfs1:/usr/bin #

sclnxfs1:/usr/bin #

Obviously I have changed the activation code and email address for this posting. However, I have used rug on other OES Linux servers without problems but can't find any notes on these forums or the Novell knowledgebase with any similar errors. Any assistance would be greatly appreciated.

Thanks

Claudio